﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;


using Autodesk.Navisworks.Api;
using Autodesk.Navisworks.Api.Plugins;

namespace DevTV_Navisworks_Plugins
{

    #region "【附加模块】选项卡的插件"
    [PluginAttribute("DevTV_AddInPlugin_AddInTab", //插件内部名         
                    "ADSK",  // 开发者号  4位         
                    ToolTip = "这是放置在【附加模块】选项卡的插件",//提示         
                    DisplayName = "DevTV_AddInTab")]  //显示在用户界面上的名字

    // 放置位置//默认是附加模块】选项卡
    //[AddInPlugin(AddInLocation.AddIn)]
    class class_AddInPlugin_AddInTab: AddInPlugin 
    {
        public override int Execute(params string[] parameters)
        {
            MessageBox.Show(Autodesk.Navisworks.Api.Application.Gui.MainWindow,
                        "这是放置在【附加模块】选项卡的插件");
            return 0;
        }
    }
    #endregion


    #region "选择集右键菜单的插件"
    [PluginAttribute("DevTV_AddInPlugin_ContextMenu", //插件内部名         
                "ADSK",  // 开发者号  4位         
                ToolTip = "这是放置在选择集右键菜单的插件",//提示         
                DisplayName = "DevTV_ContextMenu")]  //显示在用户界面上的名字

    // 放置位置 等
    [AddInPlugin(AddInLocation.CurrentSelectionContextMenu)]
    class class_AddInPlugin_ContextMenu : AddInPlugin
    {
        public override int Execute(params string[] parameters)
        {
            MessageBox.Show(Autodesk.Navisworks.Api.Application.Gui.MainWindow,
                        "这是放置在选择集右键菜单的插件");
            return 0;
        }
    }
       #endregion

  

}
