﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Autodesk.Navisworks.Api;
using Autodesk.Navisworks.Api.Plugins;

namespace DevTV_Navisworks_Plugins
{
    [Plugin("DevTV_CustomPlugin", "ADSK")]  
    class class_CustomPlugin:CustomPlugin 
    {
        public float calculate(float a, float b)
        {
            return a * b;
        }

        public void override_color(ModelItemCollection oCurSel,Color oColor)
        {
            if(oCurSel != null && oCurSel.Count >0)
            {
                Document oDoc = Application.ActiveDocument ;
                oDoc.Models.OverridePermanentColor(oCurSel,oColor);
            }
        }
    }
}
