﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;


using Autodesk.Navisworks.Api;
using Autodesk.Navisworks.Api.Plugins;

namespace DevTV_Navisworks_Plugins
{
    #region "停靠窗口插件"
    [Plugin("DevTV_DockPanePlugin",
            "ADSK",
             DisplayName = "DevTV_DockPanePlugin",
              ToolTip = "这是停靠窗口插件")]
    [DockPanePlugin(100, 300)]
    public class BasicDockPanePlugin : DockPanePlugin
    {

        public override Control CreateControlPane()
        {
            //创建用户控件对象
            usercontrol_for_dockpane control = new usercontrol_for_dockpane();

            //设置全部布满
            control.Dock = DockStyle.Fill;       
             
            control.CreateControl();
            return control;
        }

        public override void DestroyControlPane(Control pane)
        {
            pane.Dispose();
        }
    }
    #endregion 
}
